aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-08-01 21:53:51 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-08-01 22:34:39 +0200
commitdcac082e5182388556b5841cc2f0e2e8f80bc279 (patch)
treeb8d95bde7830e29f6acfc8139a5134b58f35fcd7 /gen_initramfs.sh
parentZFS: Enable UDEV support (diff)
downloadgenkernel-dcac082e5182388556b5841cc2f0e2e8f80bc279.tar.gz
genkernel-dcac082e5182388556b5841cc2f0e2e8f80bc279.tar.bz2
genkernel-dcac082e5182388556b5841cc2f0e2e8f80bc279.zip
gen_initramfs.sh: create_initramfs(): set_initramfs_compression_method() must be called when kerncache is used
Follow-up: a864c2f ("gen_initramfs.sh: create_initramfs(): Call set_initramfs_compression_method() when not building kernel") Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'gen_initramfs.sh')
-rwxr-xr-xgen_initramfs.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index 570100e..e48fa06 100755
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -2069,7 +2069,7 @@ create_initramfs() {
else
if isTrue "${COMPRESS_INITRD}"
then
- if ! isTrue "${BUILD_KERNEL}"
+ if ! isTrue "${BUILD_KERNEL}" || isTrue "${KERNCACHE_IS_VALID}"
then
# We need to initialize COMPRESS_INITRD_TYPE in case it was set
# to best/fastest